{% extends 'base.html.twig' %}

{% block title %}{% trans %}Register to Frama.space{% endtrans %}{% endblock %}

{% block body %}
    <div id="app">
        {% if invite %}
            {% if not invite.usedAt %}
                <div class="alert alert-info">
                    {% trans %}You are using an invite link. Your submission will be promoted.{% endtrans %}
                </div>
            {% elseif invite.usedAt %}
                <div class="alert alert-warning">
                    {% trans %}You are using an invite link that's already been used. Your submission won't be promoted.{% endtrans %}
                </div>
            {% endif %}
        {% endif %}
        {{ form_start(form) }}
        <section id="intro" class="row mx-0 my-4 p-0">
            <h2><span class="badge rounded-pill bg-secondary me-2">1</span>{% trans %}Prerequisites{% endtrans %}</h2>
            <hr>
            <div class="col-lg-8 mx-auto">
                <p>{% trans %}Frama.space is a space <strong>dedicated to collectives, associations, unions</strong>, etc., that act to <strong>change the world</strong>. We will not open Frama.space accounts for individuals.{% endtrans %}</p>
                <p>{% trans %}This form will allow you to request the creation of a Frama.space for your organisation.{% endtrans %}</p>
                <p>{% trans %}Warning:{% endtrans %}</p>
                <ul>
                    <li>
                        <p>{% trans %}<strong>Frama.space is in the beta testing phase.</strong> This means that your pre-registration does not commit us to creating an account for you.{% endtrans %}</p>
                        <p>{% trans %}Indeed, we want to "scale up" over several years. We will therefore make a "manual" (and human) selection of the structures that will be the pioneers on Frama.space.{% endtrans %}</p>
                        <p>{% trans %}Being a pioneer structure is not necessarily an advantage! Supporting resources (tutorials, videos, training, etc.) will be put in place as and when required. The first arrivals will therefore be plunged into the deep end, without a buoy, with essentially <a href="https://forum.frama.space" target="_blank" rel="noopener noreferrer">the forum</a> as a means of mutual support for members registered with Frama.space.{% endtrans %}</p>
                        <p>{% trans %}<strong>Maybe you should wait a few months before applying for an account</strong> rather than being one of the structures that will inevitably suffer some technical and communication setbacks.{% endtrans %}</p>
                    <li>
                        <p>{% trans %}<strong>The request to create a space does not mean that Framasoft will open an account for you.</strong> Frama.space is reserved for certain types of audiences, not for everyone!{% endtrans %}</p>
                        <p>{% trans %}This is why we need to know more about the structure that will use this Frama.space.{% endtrans %}</p>
                    </li>
                    <li>
                        <strong>{% trans %}The Frama.space service is free of charge (0€), but this does not mean that it is free.{% endtrans %}</strong>
                    </li>
                </ul>
                <p>
                    {% trans %}<a href="https://www.frama.space/abc/faq/" target="_blank" rel="noopener noreferrer">Please take the time to read the FAQ</a> and information about <a href="https://www.frama.space/abc/rgpd" target="_blank" rel="noopener noreferrer">privacy</a>, before jumping into creating an account if you don't want to be disappointed!{% endtrans %}
                </p>
            </div>
        </section>
        {% component 'section' with {id: 'admin', title: 'Administrator account' | trans, step: 2} %}
            {% block aside %}
                <p class="text-center">
                    <span>
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path
                                    d="M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0S96 57.3 96 128s57.3 128 128 128zm-45.7 48C79.8 304 0 383.8 0 482.3C0 498.7 13.3 512 29.7 512H418.3c16.4 0 29.7-13.3 29.7-29.7C448 383.8 368.2 304 269.7 304H178.3z"></path></svg>
                    </span>
                </p>
                <p>{% trans %}The Frama.space administrator account will be able to:{% endtrans %}</p>
                <ul>
                    <li>{% trans %}create new accounts on your Frama.space (within the limits set by Framasoft){% endtrans %}</li>
                    <li>{% trans %}delete accounts{% endtrans %}</li>
                    <li>{% trans %}share administration with other accounts{% endtrans %}</li>
                    <li>{% trans %}choose the applications offered on your Frama.space (within the limits set by Framasoft){% endtrans %}</li>
                </ul>
            {% endblock %}
            {% block fields %}
                <div class="mb-5">
                    {% set tooltip_email %}
                        <ol>
                            <li>{% trans %}to contact you again to inform you that your account has been opened{% endtrans %}</li>
                            <li>{% trans %}to send you technical information useful for the proper functioning of the service{% endtrans %}</li>
                            <li>{% trans %}to exchange with you (e.g. in case of abuse){% endtrans %}</li>
                        </ol>
                    {% endset %}
                    {{ component('field', { field: form.email, tooltip: tooltip_email }) }}

                    <div class="alert alert-warning mt-2 py-2 small">
                        <p>{% trans %}<strong>Please note that this field is very important!</strong> We will send you a confirmation email as soon as your pre-registration is complete. Make sure it arrives in your mailbox <strong>to validate your request</strong>.{% endtrans %}</p>
                        <p>{% trans %}If we validate your pre-registration, you will then be able to modify this email address.{% endtrans %}</p>
                    </div>
                </div>
                <div class="mb-5">
                    {% set tooltip_identity %}
                        <p>{% trans %}This name or nickname may be used when we contact you, or to help us identify duplicates or other reasons.{% endtrans %}</p>
                    {% endset %}
                    {{ component('field', { field: form.identity, tooltip: tooltip_identity }) }}
                </div>


                <div class="mb-5">
                    <fieldset>
                        <div class="form-label d-flex justify-content-between align-items-end">
                            {{ form_label(form.responsible) }}
                            <button type="button" class="btn btn-sm btn-link" data-charon-data-usage data-bs-content="{% trans %}To avoid duplication and disputes, we would like people who apply for the opening of a Frama.space have a representative role in the representative role in the organisation.{% endtrans %}"
                                    data-bs-title="{% trans %}Why do we need this information?{% endtrans %}">
                                    <span>
                                        <svg viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc.--><path
                                                    d="M256 0c-4.6 0-9.2 1-13.3 2.9L54.3 82.8c-22 9.3-38.4 31-38.3 57.2.5 99.2 41.3 280.7 213.5 363.2 16.7 8 36.1 8 52.8 0C454.7 420.7 495.5 239.2 496 140c.1-26.2-16.3-47.9-38.3-57.2L269.4 2.9C265.2 1 260.6 0 256 0zm-17.418 127.992h51.1c39.9 0 70.9 31 70 70 0 24-13 47-34 60l-45.1 28v2c0 13-11 24-24 24s-24-11-24-24v-16c0-8 4-16 12-21l57-34.9c7-4 11-10.1 11-18.1 0-12-10.9-22-23.8-22h-51.1c-12 0-21.1 10-21.1 22 0 13-11 24-24 24s-24-11-24-24c0-39 31-70 70-70zm18 208c17.1 0 32 14 32 32s-14.9 32-32 32c-18.9 0-32-14-32-32s14-32 32-32z"></path></svg>
                                    </span>
                                <span class="visually-hidden">{% trans %}Information on data collection{% endtrans %}</span>
                            </button>
                        </div>
                        <ul class="nav nav-pills nav-fill py-2 rounded">
                            {% for child in form.responsible.children %}
                            <li class="nav-item">
                                <input id="{{ form.responsible.vars.id }}-{{ child.vars.value }}" autocomplete="off" class="btn-check" required {% if child.vars.checked %}checked{% endif %}
                                       name="submission[{{ form.responsible.vars.name }}]" type="radio" value="{{ child.vars.value }}">
                                <label
                                        class="btn btn-sm d-block mx-1 btn-outline-secondary"
                                        for="{{ form.responsible.vars.id }}-{{ child.vars.value }}">{{ child.vars.label | trans }}</label>
                            </li>
                            {% endfor %}
                        </ul>
                        {{ form_errors(form.responsible) }}
                    </fieldset>
                    <p class="alert alert-info mt-2 py-2 small" style="display: none;" data-dynamic-feedback-info>
                        {% trans %}To avoid duplication and disputes, we would like people who apply for the opening of a Frama.space have a representative role in the representative role in the organisation.{% endtrans %}
                    </p>
                </div>

                <div class="mb-5">
                    {% set tooltip_alreadyUsed %}
                        {% trans %}In the beta testing phase, we want to divide organizations into those whose members already have experience with Nextcloud, and others who do not.{% endtrans %}
                    {% endset %}
                    <fieldset>
                    {{ component('field', { field: form.alreadyUsed, tooltip: tooltip_alreadyUsed }) }}
                    </fieldset>
                </div>

                <div class="mb-5">
                    {% set tooltip_accountsNeeded %}
                        {% trans %}Frama.space is not suitable for large organizations. We prefer to know your estimated usage beforehand, rather than disappoint you afterwards.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.accountsNeeded, tooltip: tooltip_accountsNeeded }) }}
                    <p class="alert alert-danger small mt-2 py-2" style="display:none" data-dynamic-feedback-danger>
                        {% trans %}<strong>Warning</strong>: Frama.space is not suitable for large organisations.{% endtrans %}
                    </p>
                </div>

            {% endblock %}
        {% endcomponent %}

        {% component 'section' with {id: 'orga', title: 'Organization' | trans, step: 3} %}
            {% block aside %}
                <p class="text-center">
                <span><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path
                                d="M243.4 2.6l-224 96c-14 6-21.8 21-18.7 35.8S16.8 160 32 160v8c0 13.3 10.7 24 24 24H456c13.3 0 24-10.7 24-24v-8c15.2 0 28.3-10.7 31.3-25.6s-4.8-29.9-18.7-35.8l-224-96c-8.1-3.4-17.2-3.4-25.2 0zM128 224H64V420.3c-.6 .3-1.2 .7-1.8 1.1l-48 32c-11.7 7.8-17 22.4-12.9 35.9S17.9 512 32 512H480c14.1 0 26.5-9.2 30.6-22.7s-1.1-28.1-12.9-35.9l-48-32c-.6-.4-1.2-.7-1.8-1.1V224H384V416H344V224H280V416H232V224H168V416H128V224zm128-96c-17.7 0-32-14.3-32-32s14.3-32 32-32s32 14.3 32 32s-14.3 32-32 32z"></path></svg></span>
                </p>
            {% endblock %}
            {% block fields %}
                <div class="mb-5">
                    {% set tooltip_identifier %}
                        {% trans %}This will automatically pre-fill some of the fields below. If you don't know them, <a href="https://annuaire-entreprises.data.gouv.fr/" target="_blank" rel="noopener noreferrer">you can find them here</a>. If you don't have them, it decreases your chances of having your pre-registration validated.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.identifier, tooltip: tooltip_identifier }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_name %}
                        {% trans %}The name of your organization allows us to identify you quickly, but will also be used as a basis for quickly identify you, but will also be used as a basis for determining the "Frama.space identifier" of your account (e.g. "https://squat_lepic.frama.space"){% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.name, tooltip: tooltip_name }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_domain %}
                        {% trans %}It will be used to determine the address of your Frama.space. For example, the identifier "robinsdesvilles" will also be the address of your Frama.space (https://robinsdesvilles.frama.space){% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.domain, tooltip: tooltip_domain, inputGroup: '.frama.space' }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_type %}
                        {% trans %}We need this information both for statistical purposes and because, in its beta phase, Frama.space the beta phase, Frama.space is reserved for certain types of organizations.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.type, tooltip: tooltip_type }) }}
                    <p class="alert alert-danger small mt-2 py-2" style="display: none" data-dynamic-feedback-danger>
                        {% trans %}We're not opening Frama.space accounts for this type of organisation at the moment. <a href="https://www.frama.space/abc/faq/#q-selection" target="_blank" rel="noopener noreferrer">See our FAQ for more information.</a>{% endtrans %}
                    </p>
                    {{ form_row(form.extraType) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_year %}
                        {% trans %}To know if you are in activity for a long time, or on the contrary a very recent structure or in creation.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.creationYear, tooltip: tooltip_year }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_country %}
                        {% trans %}We need this information for statistical purposes, but also because in its beta phase, Frama.space is reserved for French-speaking organisations.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.country, tooltip: tooltip_country }) }}
                    <p class="alert alert-danger small mt-2 py-2" style="display: none" data-dynamic-feedback-danger>
                        {% trans %}We do not open Frama.space accounts for non-French speaking countries at the moment. <a href="https://frama.space/abc/faq" target="_blank" rel="noopener noreferrer">See our FAQ for more information.</a>{% endtrans %}
                    </p>
                </div>
                <div class="mb-5">
                    {% set tooltip_postal_code %}
                        {% trans %}We need this information only for statistical purposes.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.postalCode, tooltip: tooltip_postal_code }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_organisation_language %}
                        {% trans %}We need this information for statistical purposes, but also because in its beta phase, Frama.space is reserved for French-speaking organisations.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.organisationLanguage, tooltip: tooltip_organisation_language }) }}
                    <p class="alert alert-danger small mt-2 py-2" style="display: none" data-dynamic-feedback-danger>
                        {% trans %}We do not open Frama.space accounts for non-French speaking organisations at the moment. <a href="https://frama.space/abc/faq" target="_blank" rel="noopener noreferrer">See our FAQ for more information.</a>{% endtrans %}
                    </p>
                </div>
                <div class="mb-5">
                    {% set tooltip_object %}
                        {% trans %}It will be used by Framasoft to determine if you fit into our "beta test" phase.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.object, tooltip: tooltip_object }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_main_actions %}
                        {% trans %}The social object can sometimes be very vague ("Theater association"). In order to know you better, we might want to know more about your actions. Who do they reach? With what goals? With what values?{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.mainActions, tooltip: tooltip_main_actions }) }}
                </div>
            {% endblock %}
        {% endcomponent %}

        {% component 'section' with {id: 'know', title: 'Knowing you better' | trans, step: 4} %}
            {% block aside %}
                <p class="text-center">
                    <span>
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path
                                    d="M96 64c0-17.7 14.3-32 32-32H448h64c70.7 0 128 57.3 128 128s-57.3 128-128 128H480c0 53-43 96-96 96H192c-53 0-96-43-96-96V64zM480 224h32c35.3 0 64-28.7 64-64s-28.7-64-64-64H480V224zM32 416H544c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32z"></path></svg>
                    </span>
                </p>
                <p>{% trans %}<strong>Some of the following informations are optional</strong> but will help us decide between applications.{% endtrans %}</p>
                <p>{% trans %}We ask for this information primarily for statistical purposes and to allow us to better understand your needs and whether they match what we are able to offer.{% endtrans %}</p>
                <p><strong>{% trans %}We highly recommend that you fill them out.{% endtrans %}</strong></p>
            {% endblock %}
            {% block fields %}
                <div class="mb-5">
                    <div class="form-label d-flex justify-content-between align-items-end">
                        {{ form_label(form.topics) }}
                        <button type="button" class="btn btn-sm btn-link" data-charon-data-usage data-bs-content="{% trans %}Mainly for statistical purposes, to enable us to ensure that different fields of intervention are supported by the Frama.space initiative.{% endtrans %}" data-bs-title="{% trans %}Why do we need this information?{% endtrans %}">
                            <span>
                                <svg viewBox="0 0 512 512" xmlns="http://www.w3.org/2000/svg"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc.--><path
                                            d="M256 0c-4.6 0-9.2 1-13.3 2.9L54.3 82.8c-22 9.3-38.4 31-38.3 57.2.5 99.2 41.3 280.7 213.5 363.2 16.7 8 36.1 8 52.8 0C454.7 420.7 495.5 239.2 496 140c.1-26.2-16.3-47.9-38.3-57.2L269.4 2.9C265.2 1 260.6 0 256 0zm-17.418 127.992h51.1c39.9 0 70.9 31 70 70 0 24-13 47-34 60l-45.1 28v2c0 13-11 24-24 24s-24-11-24-24v-16c0-8 4-16 12-21l57-34.9c7-4 11-10.1 11-18.1 0-12-10.9-22-23.8-22h-51.1c-12 0-21.1 10-21.1 22 0 13-11 24-24 24s-24-11-24-24c0-39 31-70 70-70zm18 208c17.1 0 32 14 32 32s-14.9 32-32 32c-18.9 0-32-14-32-32s14-32 32-32z"></path></svg>
                            </span>
                            <span class="visually-hidden">{% trans %}Information on data collection{% endtrans %}</span>
                        </button>
                    </div>
                    <div class="row mx-0 p-2 border rounded align-items-center">
                        {% for topic in form.topics.vars.choices %}
                        <div class="form-check col-md-6">
                            <input id="topic_{{ topic.value }}" type="checkbox" name="submission[topics][]" value="{{ topic.value }}" class="form-check-input">
                            <label class="form-check-label" for="topic_{{ topic.value }}">{{ topic.label | trans }}</label>
                        </div>
                        {% endfor %}
                        <div class="col-md-6 my-1 p-1">
                            {{ form_row(form.extraTopics) }}
                        </div>
                    </div>
                    <p class="alert alert-danger small mt-2 py-2" style="display:none" data-dynamic-feedback-danger>
                        {% trans %}<strong>Warning</strong>: You need to select at least one field of intervention{% endtrans %}
                    </p>
                </div>
                <div class="mb-5">
                    {% set tooltip_reasons %}
                        {% trans %}This field will allow us to better understand your needs, and to see if they correspond to what we are able to offer.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.reasons, tooltip: tooltip_reasons }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_website %}
                        {% trans %}Again, this allows us to learn more about you.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.website, tooltip: tooltip_website }) }}
                </div>
                <div class="mb-5">
                    {% set tooltip_nbBeneficiaries %}
                        {% trans %}Mainly for statistical purposes.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.nbBeneficiaries, tooltip: tooltip_nbBeneficiaries }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_nbEmployees %}
                        {% trans %}To determine the approximate size of your association and the resources available to it.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.nbEmployees, tooltip: tooltip_nbEmployees }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_nbMembers %}
                        {% trans %}Mainly for statistical purposes.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.nbMembers, tooltip: tooltip_nbMembers }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_budget %}
                        {% trans %}Mainly for statistical purposes.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.budget, tooltip: tooltip_budget }) }}
                </div>
            {% endblock %}
        {% endcomponent %}
        {% component 'section' with {id: 'frama', title: 'Framasoft and you' | trans, step: 5} %}
            {% block aside %}
                <p class="text-center">
                    <span>
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 512"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path
                                    d="M323.4 85.2l-96.8 78.4c-16.1 13-19.2 36.4-7 53.1c12.9 17.8 38 21.3 55.3 7.8l99.3-77.2c7-5.4 17-4.2 22.5 2.8s4.2 17-2.8 22.5l-20.9 16.2L550.2 352H592c26.5 0 48-21.5 48-48V176c0-26.5-21.5-48-48-48H516h-4-.7l-3.9-2.5L434.8 79c-15.3-9.8-33.2-15-51.4-15c-21.8 0-43 7.5-60 21.2zm22.8 124.4l-51.7 40.2C263 274.4 217.3 268 193.7 235.6c-22.2-30.5-16.6-73.1 12.7-96.8l83.2-67.3c-11.6-4.9-24.1-7.4-36.8-7.4C234 64 215.7 69.6 200 80l-72 48H48c-26.5 0-48 21.5-48 48V304c0 26.5 21.5 48 48 48H156.2l91.4 83.4c19.6 17.9 49.9 16.5 67.8-3.1c5.5-6.1 9.2-13.2 11.1-20.6l17 15.6c19.5 17.9 49.9 16.6 67.8-2.9c4.5-4.9 7.8-10.6 9.9-16.5c19.4 13 45.8 10.3 62.1-7.5c17.9-19.5 16.6-49.9-2.9-67.8l-134.2-123z"></path></svg>
                    </span>
                </p>
                <p>{% trans %}We must obtain <strong>your consent</strong> for us to contact you by email for "administrative" purposes in connection with the management of your account.{% endtrans %}</p>
                <p>{% trans %}We also need to make sure that you understand that the <strong>Frama.space service will be constantly improving, based on your feedback</strong>. We will do our best to provide the best quality of service possible, but malfunctions may occur. During this phase, Framasoft needs to be able to:{% endtrans %}</p>
                <ul>
                    <li>{% trans %}send you information on the progress of the Frama.space platform (e.g. newsletters){% endtrans %}</li>
                    <li>{% trans %}and collect your opinions to improve the platform (e.g. by sending surveys).{% endtrans %}</li>
                </ul>
                <p>{% trans %}Finally, the <strong>Frama.space service is subject to terms of use</strong>. If you refuse to comply with them, we will not be able to open an account for you.{% endtrans %}</p>
            {% endblock %}
            {% block fields %}
                <div class="mb-5">
                    {% set tooltip_acceptContact %}
                        {% trans %}We must obtain your consent for us to contact you by email for "administrative" purposes in connection with the management of your account.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.acceptContact, tooltip: tooltip_acceptContact, inline_tooltip: true }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_betaWarning %}
                        {% trans %}We want to make sure that you understand that the service offered by Frama.space will be constantly improved based on your feedback. As a result, even though we will do our best to provide the best quality of service possible, malfunctions may occur. During this phase, Framasoft needs to be able to provide you with information about the progress of the Frama.space platform (e.g., by sending you newsletters) and to collect your opinions to improve the platform (e.g. by sending surveys).{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.betaWarning, tooltip: tooltip_betaWarning, inline_tooltip: true }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_acceptCGU %}
                        {% trans %}Our sites and services, including Frama.space, are subject to terms of use (which we have tried to make as clear as possible). If you refuse to comply with them, we will not be able to open a Frama.space account for you.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.acceptCGU, tooltip: tooltip_acceptCGU, inline_tooltip: true }) }}
                </div>

                <div class="mb-5">
                    {% set tooltip_acceptCSU %}
                        {% trans %}The Frama.space service is subject to terms of use. If you refuse to comply with them, we will not be able to open a Frama.space account for you.{% endtrans %}
                    {% endset %}
                    {{ component('field', { field: form.acceptCSU, tooltip: tooltip_acceptCSU, inline_tooltip: true }) }}
                </div>
            {% endblock %}
        {% endcomponent %}

        <div class="text-center pt-5">
        <button class="btn btn-primary btn-lg text-uppercase d-inline-flex" type="submit">
            <span class="me-2">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Pro 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path d="M498.1 5.6c10.1 7 15.4 19.1 13.5 31.2l-64 416c-1.5 9.7-7.4 18.2-16 23s-18.9 5.4-28 1.6L277.3 424.9l-40.1 74.5c-5.2 9.7-16.3 14.6-27 11.9S192 499 192 488V392c0-5.3 1.8-10.5 5.1-14.7L362.4 164.7c2.5-7.1-6.5-14.3-13-8.4L170.4 318.2l-32 28.9 0 0c-9.2 8.3-22.3 10.6-33.8 5.8l-85-35.4C8.4 312.8 .8 302.2 .1 290s5.5-23.7 16.1-29.8l448-256c10.7-6.1 23.9-5.5 34 1.4z"></path></svg>
            </span>
            <span>{{ form.save.vars.label.message | trans }}</span>
        </button>
        </div>

        {{ form_row(form._token) }}

        {{ form_end(form, {render_rest: false}) }}
    </div>
    <script src="https://www.frama.space/abc/new/main.js"></script>
{% endblock %}